none
SCOM 2012 R2 Enviroment and on WS 2016/19 - Agent compatibility and MP RRS feed

  • Question

  • Hello All

    We have a SCOM 2012 R2 infrastructure version:

    OM 2012 R2 on OS WS 2012

    SQL srv 2012 on OS WS 2012

    The monitored  servers have multiple OS version, is it possible install the Monitoring Agent on new WS 2016 and WS 2019?

    If yes, there is the afferent Management Pack for the indicated OS version?

    Thanks in advance


    Friday, January 24, 2020 3:01 PM

All replies

  • Hi,

    SCOM 2012 R2 officially supports agents running on Windows Server 2016, but it does not officially support agents running on Windows Server 2019.

    Below is the list of supported agent operating system versions for SCOM 2012 R2:

    • Windows Server 2003 SP2
    • Windows 2008 Server SP2
    • Windows 2008 Server R2
    • Windows 2008 Server R2 SP1
    • Windows Server® 2012
    • Windows Server® 2012 R2
    • Microsoft Hyper-V Server ® 2012 R2
    • Windows Server 2016
    • Windows XP Pro x64 SP2
    • Windows XP Pro SP32
    • Windows Vista SP2
    • Windows XP Embedded Standard
    • Windows XP Embedded Enterprise
    • Windows XP Embedded POSReady
    • Windows 7 Professional for Embedded Systems
    • Windows 7 Ultimate for Embedded Systems
    • Windows 7
    • Windows® 8
    • Windows® 8.1
    • Windows ® 10
    • Windows Server®2016 Technical Preview

    Reference:
    System Center 2012 Agent Requirements for System Center 2012 R2


    Below are the two Windows Server management packs available:

    Management pack for Windows Server 2016 and newer:
    https://www.microsoft.com/en-us/download/details.aspx?id=54303

    Management pack for Windows Server 2012 R2 or older:
    https://www.microsoft.com/en-us/download/details.aspx?id=9296

    Best regards,
    Leon


    Blog: https://thesystemcenterblog.com LinkedIn:

    Friday, January 24, 2020 3:10 PM
  • Hello Fabio,

    Not supported. But more specifically, not tested (so not supported).
    First of all, just try the agent installer and see if it blocks the installation. If not, you can work with it.

    We are using SCOM 2019 agents to multihome agents also on win2012r2  to SCOM 2012r2 and SCOM 2016 and 2019. And on the diverse Windows server versions. In the past used SCOM 2016 agents for that purpose as well. So we raised our agents already while waiting for the pieces of scom infra to catch up. Not always the most logical order :-)

    The management packs would remain the same for now until you upgrade your backend systems (the SCOM 2012 stuff). The backend system will have their own agent management MP's.
    Keep in mind that if you install a higher scom agent on separate machines (higher than your management group), you can not go and use the scom console to upgrade/repair those agents. Have to use other methods to deploy the agent, like SCCM package.

    Of course for monitoring itself you would download the Win2016/19 OS management packs and such (dns, ad, iis...).


    Bob Cornelissen - BICTT ( My Blog about SCOM ) - MVP 2012 until today and Microsoft Community Contributor 2011 and 2012 Recipient (Please take a moment to "Vote as Helpful" and/or "Mark as Answer" wherever applicable)

    Monday, January 27, 2020 12:06 PM
    Moderator
  • Hi,

    To monitor server 2016/2019, we need SCOM 2016 or above. SCOM 2012R2 is obsolete, please consider upgrading or newly-installation.

    Hope the above information helps.

    Regards,

    Alex Zhu
    -----------------------------------------------
    Please remember to mark the replies as answers if they help.
    If you have feedback for TechNet Subscriber Support, contact tnmff@microsoft.com.
    Tuesday, January 28, 2020 7:34 AM
  • Thanks Bob and thanks to all

    In order to avoid loss of functionality the only strategy seems to be create aside of current SCOM 2012 R2 e fresh environment SCOM 2019

    Doesn't exist another coexist strategy?

    We could also install OS Agent 2012 on Windows Server 2016 but if we loss the functionality of MP. I have also the ACS component but I still have to find out

    thanks

    Tuesday, January 28, 2020 11:10 AM
  • SCOM 2016 can coexist with SCOM 2012 R2, more info here:

    https://docs.microsoft.com/en-us/system-center/scom/system-requirements?view=sc-om-2016#supported-coexistence

    SCOM 2016 also supports agents running on Windows Server 2008 - 2019.


    Blog: https://thesystemcenterblog.com LinkedIn:

    Tuesday, January 28, 2020 11:14 AM